apt: pkgDebianIndexTargetFile Class Reference

apt 3.3.2 commandline package manager

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
pkgDebianIndexTargetFile Class Reference
Inheritance diagram for pkgDebianIndexTargetFile:

## Public Member Functions
std::string | ArchiveURI (std::string const &File) const override
std::string | Describe (bool Short=false) const override
bool | Exists () const override
unsigned long | Size () const override
IndexTarget | GetIndexTarget () const APT_HIDDEN
| pkgDebianIndexTargetFile (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual const Type * | GetType () const =0
virtual std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
virtual bool | HasPackages () const =0
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions
std::string | IndexFileName () const override
std::string | GetComponent () const override
std::string | GetArchitecture () const override
std::string | GetProgressDescription () const override
bool | OpenListFile (FileFd &Pkg, std::string const &FileName) override
Protected Member Functions inherited from pkgDebianIndexFile
virtual uint8_t | GetIndexFlags () const =0
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Protected Attributes
IndexTarget const | Target
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Friends
class | pkgDebianIndexFile

## Member Function Documentation

## ◆ ArchiveURI()

std::string ArchiveURI | ( | std::string const & | File | ) | const
| nodiscardoverridevirtual

Reimplemented from pkgIndexFile.

## ◆ Describe()

std::string Describe | ( | bool | Short = false | ) | const
| nodiscardoverridevirtual

Implements pkgIndexFile.

## ◆ Exists()

bool Exists | ( |  | ) | const
| nodiscardoverridevirtual

Implements pkgIndexFile.

## ◆ GetArchitecture()

std::string GetArchitecture | ( |  | ) | const
| nodiscardoverrideprotectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetComponent()

std::string GetComponent | ( |  | ) | const
| nodiscardoverrideprotectedvirtual

Implements pkgDebianIndexFile.

## ◆ GetProgressDescription()

std::string GetProgressDescription | ( |  | ) | const
| nodiscardoverrideprotectedvirtual

Implements pkgDebianIndexFile.

## ◆ IndexFileName()

std::string IndexFileName | ( |  | ) | const
| overrideprotectedvirtual

Implements pkgDebianIndexFile.

## ◆ OpenListFile()

bool OpenListFile | ( | FileFd & | Pkg,
|  | std::string const & | FileName )
| overrideprotectedvirtual

Implements pkgDebianIndexFile.

## ◆ Size()

unsigned long Size | ( |  | ) | const
| nodiscardoverridevirtual

Implements pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/indexfile.h
- apt-pkg/indexfile.cc